enum class STATE {
    ALL_STATE,
    PURCHASE_ORDER,
    PURCHASE_ITEM,
    INVOICE,
    INVOICE_ITEM,
    CREDIT_NOTE,
    CREDIT_NOTE_ITEM,
    GOODS_RECEIVED,
    GOODS_RECEIVED_ITEM,
    DEBIT_NOTE,
    DEBIT_NOTE_ITEM,
    REQUEST,
    REQUEST_ITEM,
    PAYMENT_ITEM
}